Bug 20583 - Add download attribute to a and area element
Summary: Add download attribute to a and area element
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-07 02:00 UTC by Silvia Pfeiffer
Modified: 2013-04-12 10:06 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Silvia Pfeiffer 2013-01-07 02:00:51 UTC
Add download attribute to a and area element (as is the case in the WHATWG spec).

This is currently inconsistent in the spec, because some text relating to the download attribute has been applied, while the actual IDL has not been extended.

It's implemented at minimum in Firefox.

(See thread at http://lists.w3.org/Archives/Public/public-html/2013Jan/0000.html ).
Comment 1 Robin Berjon 2013-01-21 15:57:54 UTC
Mass move to "HTML WG"
Comment 2 Robin Berjon 2013-01-21 16:00:36 UTC
Mass move to "HTML WG"
Comment 3 Edward O'Connor 2013-02-25 19:40:04 UTC
When merging <a download> into the spec, we should probably also reopen and resolve bug 5773 as FIXED.
Comment 4 Robin Berjon 2013-04-12 10:06:21 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: Removed all fork markers related to download.
Rationale: A consensual feature.

Note that this was not a merge issue, but rather involved removing fork markers.

Should we add this to 5.0?